//
//  EventFormView.swift
//  UkiCalendar
//
//  Created by ukiLab on 2023/11/17.
//

import SwiftUI

struct EventFormView: View {
  @State var date: Date
  @State var title: String = ""
  var body: some View {
    NavigationView {
      Form {
        HStack {
          Button(action: {
            print("color button")
          }) {
            Rectangle()
              .frame(width: 50, height: 50)
              .background(.blue)
          }
          .cornerRadius(10.0)
          TextField("", text: $title, prompt: Text("Title"))
            .textFieldStyle(RoundedBorderTextFieldStyle())
        }
        .padding()
      }
      .navigationBarTitle("\(date.dateString())", displayMode: .inline)
      .navigationBarItems(trailing: Button(action: {}, label: { Text("Dummy") }))
    }
  }
}

#Preview {
  EventFormView(date: Date())
}
