//
//  SwiftUIView.swift
//  UkiCalendar
//
//  Created by ukiLab on 2023/11/22.
//

import SwiftUI

struct SwiftUIView: View {
  @State private var colorIndex = 0
  
  var body: some View {
    InfinitePageView(
      selection: $colorIndex,
      before: { $0 - 1 },
      after: { $0 + 1 },
      view: { index in
        VStack {
          Text("\(index)     \(index)")
            .font(.system(size: 100, weight: .heavy))
          Button("Prev") {
            print("prev")
            colorIndex -= 1
          }
          .buttonStyle(.borderedProminent)
          .padding()
          Button("next") {
            print("next")
            colorIndex += 1
          }
          .buttonStyle(.borderedProminent)
          .padding()
        }
      }
    )
  }
  
}

#Preview {
  SwiftUIView()
}
